> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/devices/{deviceId}/policy/zonepairs > Get a list of firewall zone pairs each with holding nested policy rule sets ## OpenAPI ````json GET /v1/devices/{deviceId}/policy/zonepairs { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/devices/{deviceId}/policy/zonepairs": { "get": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " }, { "name": "deviceId", "in": "path", "required": true, "description": "", "schema": { "type": "integer", "format": "int64", "example": 1234567891011 } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1DevicesDeviceIdPolicyZonepairsGetResponse" } } } } }, "description": "Get a list of firewall zone pairs each with holding nested policy rule sets" } } }, "components": { "schemas": { "v1DevicesDeviceIdPolicyZonepairsGetResponse": { "type": "object", "properties": { "zonePairs": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2FirewallZonePair" } } }, "additionalProperties": false }, "manaV2FirewallZonePair": { "type": "object", "properties": { "inside": { "type": "string", "example": "example string" }, "outside": { "type": "string", "example": "example string" }, "securityRulesets": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2SecurityPolicyRuleset" } } }, "additionalProperties": false }, "manaV2SecurityPolicyRuleset": { "type": "object", "properties": { "description": { "type": "string", "example": "example string" }, "errorMessage": { "type": "string", "example": "example string" }, "globalId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "index": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "name": { "type": "string", "example": "example string" }, "rules": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2SecurityPolicyRulesetRule" } }, "status": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false }, "manaV2SecurityPolicyRulesetRule": { "type": "object", "properties": { "action": { "type": "string", "example": "ENUM_VALUE" }, "description": { "type": "string", "example": "example string" }, "downlinkBurstRate": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "downlinkPolicerRate": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "index": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "logging": { "type": "boolean", "example": true }, "match": { "$ref": "#/components/schemas/manaV2ForwardingPolicyMatch" }, "name": { "type": "string", "example": "example string" }, "seq": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "uplinkBurstRate": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "uplinkPolicerRate": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2ForwardingPolicyMatch": { "type": "object", "properties": { "application": { "type": "string", "example": "example string" }, "destinationNetwork": { "type": "string", "example": "example string" }, "destinationPort": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "destinationPortRange": { "$ref": "#/components/schemas/manaV2PortRange" }, "domainCategoryIds": { "type": "array", "items": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "domainWildcards": { "type": "array", "items": { "type": "string", "example": "example string" } }, "dscp": { "$ref": "#/components/schemas/manaV2Dscp" }, "icmpType": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "ipProtocol": { "type": "string", "example": "ENUM_VALUE" }, "protocol": { "type": "string", "example": "ENUM_VALUE" }, "sourceNetwork": { "type": "string", "example": "example string" }, "sourcePort": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "sourcePortRange": { "$ref": "#/components/schemas/manaV2PortRange" } }, "additionalProperties": false }, "manaV2PortRange": { "type": "object", "properties": { "lower": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "upper": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2Dscp": { "type": "object", "properties": { "codePoint": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````